ConsoleOperations
Date: 2015-12-09

jline

## Interface ConsoleOperations

- All Known Implementing Classes:
    ConsoleReader, Terminal, UnixTerminal, UnsupportedTerminal, WindowsTerminal

      public interface ConsoleOperations

  Symbolic constants for Console operations and virtual key bindings.
  Author:
    Marc Prud'hommeaux
  See Also:
    `KeyEvent`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ABORT` Operation that aborts the current command (like searching)
    `static short` | `ADD` Operation that
    `static char` | `BACKSPACE`
    `static short` | `CHANGE_CASE` Operation that toggles between uppercase and lowercase.
    `static short` | `CHANGE_META` Operation that
    `static short` | `CLEAR_LINE` Operation that clears whatever text is on the current line.
    `static short` | `CLEAR_SCREEN` Operation that clears the screen.
    `static short` | `COMPLETE` Operation that performs completion operation on the current word.
    `static java.lang.String` | `CR`
    `static char` | `CTRL_A`
    `static char` | `CTRL_B`
    `static char` | `CTRL_C`
    `static char` | `CTRL_D`
    `static char` | `CTRL_E`
    `static char` | `CTRL_F`
    `static char` | `CTRL_G`
    `static char` | `CTRL_K`
    `static char` | `CTRL_L`
    `static char` | `CTRL_N`
    `static char` | `CTRL_OB`
    `static char` | `CTRL_P`
    `static char` | `CTRL_QM`
    `static char` | `DELETE`
    `static short` | `DELETE_META` Operation that
    `static short` | `DELETE_NEXT_CHAR` Operation that deletes the previous character.
    `static short` | `DELETE_PREV_CHAR` Operation that
    `static short` | `DELETE_PREV_WORD` Operation that deletes the previous word in the buffer.
    `static short` | `END_OF_HISTORY` Operation that moves the current History to the end.
    `static short` | `END_WORD` Operation that
    `static short` | `EXIT` Operation that exits the command prompt.
    `static short` | `INSERT` Operation that toggles insert/overtype
    `static char` | `KEYBOARD_BELL`
    `static short` | `KILL_LINE` Operation that deletes the buffer from the current character to the end.
    `static short` | `KILL_LINE_PREV` Operation that deletes the buffer from the cursor to the beginning.
    `static short` | `MOVE_TO_BEG` Operation that moves to the beginning of the buffer.
    `static short` | `MOVE_TO_END` Operation that moves to the end of the buffer.
    `static short` | `NEWLINE` Operation that issues a newline.
    `static short` | `NEXT_CHAR` Operation that moves to the next character in the buffer.
    `static short` | `NEXT_HISTORY` Operation that sets the buffer to the next history item.
    `static short` | `NEXT_SPACE_WORD` Operation that
    `static short` | `NEXT_WORD` Operation that moved to the next word.
    `static short` | `PASTE` Operation that pastes the contents of the clipboard into the line
    `static short` | `PASTE_NEXT` Operation that
    `static short` | `PASTE_PREV` Operation that
    `static short` | `PREV_CHAR` Operation that moved to the previous character in the buffer.
    `static short` | `PREV_HISTORY` Operation that sets the buffer to the previous history item.
    `static short` | `PREV_SPACE_WORD` Operation that moved to the previous whitespace.
    `static short` | `PREV_WORD` Operation that
    `static short` | `REDISPLAY` Operation that redisplays the current buffer.
    `static short` | `REPEAT_NEXT_CHAR` Operation that repeats the character.
    `static short` | `REPEAT_PREV_CHAR` Operation that moves to the previous character in the buffer.
    `static short` | `REPEAT_SEARCH_NEXT` Operation that
    `static short` | `REPEAT_SEARCH_PREV` Operation that
    `static short` | `REPLACE_CHAR` Operation that
    `static short` | `REPLACE_MODE` Operation that
    `static char` | `RESET_LINE`
    `static short` | `SEARCH_NEXT` Operation that searches forward in the command history.
    `static short` | `SEARCH_PREV` Operation that searches backwards in the command history.
    `static short` | `START_OF_HISTORY` Operation that moves the current History to the beginning.
    `static short` | `SUBSTITUTE_CHAR` Operation that
    `static short` | `SUBSTITUTE_LINE` Operation that
    `static short` | `TO_END_WORD` Operation that moved to the end of the current word.
    `static short` | `TO_NEXT_CHAR` Operation that
    `static short` | `TO_PREV_CHAR` Operation that
    `static short` | `UNDO` Operation that undoes the previous operation.
    `static short` | `UNKNOWN` Unknown operation.

- - ### Field Detail

    - #### CR

          static final java.lang.String CR

    - #### BACKSPACE

          static final char BACKSPACE

      See Also:
        Constant Field Values

    - #### RESET_LINE

          static final char RESET_LINE

      See Also:
        Constant Field Values

    - #### KEYBOARD_BELL

          static final char KEYBOARD_BELL

      See Also:
        Constant Field Values

    - #### CTRL_A

          static final char CTRL_A

      See Also:
        Constant Field Values

    - #### CTRL_B

          static final char CTRL_B

      See Also:
        Constant Field Values

    - #### CTRL_C

          static final char CTRL_C

      See Also:
        Constant Field Values

    - #### CTRL_D

          static final char CTRL_D

      See Also:
        Constant Field Values

    - #### CTRL_E

          static final char CTRL_E

      See Also:
        Constant Field Values

    - #### CTRL_F

          static final char CTRL_F

      See Also:
        Constant Field Values

    - #### CTRL_G

          static final char CTRL_G

      See Also:
        Constant Field Values

    - #### CTRL_K

          static final char CTRL_K

      See Also:
        Constant Field Values

    - #### CTRL_L

          static final char CTRL_L

      See Also:
        Constant Field Values

    - #### CTRL_N

          static final char CTRL_N

      See Also:
        Constant Field Values

    - #### CTRL_P

          static final char CTRL_P

      See Also:
        Constant Field Values

    - #### CTRL_OB

          static final char CTRL_OB

      See Also:
        Constant Field Values

    - #### DELETE

          static final char DELETE

      See Also:
        Constant Field Values

    - #### CTRL_QM

          static final char CTRL_QM

      See Also:
        Constant Field Values

    - #### UNKNOWN

          static final short UNKNOWN

      Unknown operation.
      See Also:
        Constant Field Values

    - #### MOVE_TO_BEG

          static final short MOVE_TO_BEG

      Operation that moves to the beginning of the buffer.
      See Also:
        Constant Field Values

    - #### MOVE_TO_END

          static final short MOVE_TO_END

      Operation that moves to the end of the buffer.
      See Also:
        Constant Field Values

    - #### PREV_CHAR

          static final short PREV_CHAR

      Operation that moved to the previous character in the buffer.
      See Also:
        Constant Field Values

    - #### NEWLINE

          static final short NEWLINE

      Operation that issues a newline.
      See Also:
        Constant Field Values

    - #### KILL_LINE

          static final short KILL_LINE

      Operation that deletes the buffer from the current character to the end.
      See Also:
        Constant Field Values

    - #### CLEAR_SCREEN

          static final short CLEAR_SCREEN

      Operation that clears the screen.
      See Also:
        Constant Field Values

    - #### NEXT_HISTORY

          static final short NEXT_HISTORY

      Operation that sets the buffer to the next history item.
      See Also:
        Constant Field Values

    - #### PREV_HISTORY

          static final short PREV_HISTORY

      Operation that sets the buffer to the previous history item.
      See Also:
        Constant Field Values

    - #### REDISPLAY

          static final short REDISPLAY

      Operation that redisplays the current buffer.
      See Also:
        Constant Field Values

    - #### KILL_LINE_PREV

          static final short KILL_LINE_PREV

      Operation that deletes the buffer from the cursor to the beginning.
      See Also:
        Constant Field Values

    - #### DELETE_PREV_WORD

          static final short DELETE_PREV_WORD

      Operation that deletes the previous word in the buffer.
      See Also:
        Constant Field Values

    - #### NEXT_CHAR

          static final short NEXT_CHAR

      Operation that moves to the next character in the buffer.
      See Also:
        Constant Field Values

    - #### REPEAT_PREV_CHAR

          static final short REPEAT_PREV_CHAR

      Operation that moves to the previous character in the buffer.
      See Also:
        Constant Field Values

    - #### SEARCH_PREV

          static final short SEARCH_PREV

      Operation that searches backwards in the command history.
      See Also:
        Constant Field Values

    - #### REPEAT_NEXT_CHAR

          static final short REPEAT_NEXT_CHAR

      Operation that repeats the character.
      See Also:
        Constant Field Values

    - #### SEARCH_NEXT

          static final short SEARCH_NEXT

      Operation that searches forward in the command history.
      See Also:
        Constant Field Values

    - #### PREV_SPACE_WORD

          static final short PREV_SPACE_WORD

      Operation that moved to the previous whitespace.
      See Also:
        Constant Field Values

    - #### TO_END_WORD

          static final short TO_END_WORD

      Operation that moved to the end of the current word.
      See Also:
        Constant Field Values

    - #### REPEAT_SEARCH_PREV

          static final short REPEAT_SEARCH_PREV

      Operation that
      See Also:
        Constant Field Values

    - #### PASTE_PREV

          static final short PASTE_PREV

      Operation that
      See Also:
        Constant Field Values

    - #### REPLACE_MODE

          static final short REPLACE_MODE

      Operation that
      See Also:
        Constant Field Values

    - #### SUBSTITUTE_LINE

          static final short SUBSTITUTE_LINE

      Operation that
      See Also:
        Constant Field Values

    - #### TO_PREV_CHAR

          static final short TO_PREV_CHAR

      Operation that
      See Also:
        Constant Field Values

    - #### NEXT_SPACE_WORD

          static final short NEXT_SPACE_WORD

      Operation that
      See Also:
        Constant Field Values

    - #### DELETE_PREV_CHAR

          static final short DELETE_PREV_CHAR

      Operation that
      See Also:
        Constant Field Values

    - #### ADD

          static final short ADD

      Operation that
      See Also:
        Constant Field Values

    - #### PREV_WORD

          static final short PREV_WORD

      Operation that
      See Also:
        Constant Field Values

    - #### CHANGE_META

          static final short CHANGE_META

      Operation that
      See Also:
        Constant Field Values

    - #### DELETE_META

          static final short DELETE_META

      Operation that
      See Also:
        Constant Field Values

    - #### END_WORD

          static final short END_WORD

      Operation that
      See Also:
        Constant Field Values

    - #### INSERT

          static final short INSERT

      Operation that toggles insert/overtype
      See Also:
        Constant Field Values

    - #### REPEAT_SEARCH_NEXT

          static final short REPEAT_SEARCH_NEXT

      Operation that
      See Also:
        Constant Field Values

    - #### PASTE_NEXT

          static final short PASTE_NEXT

      Operation that
      See Also:
        Constant Field Values

    - #### REPLACE_CHAR

          static final short REPLACE_CHAR

      Operation that
      See Also:
        Constant Field Values

    - #### SUBSTITUTE_CHAR

          static final short SUBSTITUTE_CHAR

      Operation that
      See Also:
        Constant Field Values

    - #### TO_NEXT_CHAR

          static final short TO_NEXT_CHAR

      Operation that
      See Also:
        Constant Field Values

    - #### UNDO

          static final short UNDO

      Operation that undoes the previous operation.
      See Also:
        Constant Field Values

    - #### NEXT_WORD

          static final short NEXT_WORD

      Operation that moved to the next word.
      See Also:
        Constant Field Values

    - #### DELETE_NEXT_CHAR

          static final short DELETE_NEXT_CHAR

      Operation that deletes the previous character.
      See Also:
        Constant Field Values

    - #### CHANGE_CASE

          static final short CHANGE_CASE

      Operation that toggles between uppercase and lowercase.
      See Also:
        Constant Field Values

    - #### COMPLETE

          static final short COMPLETE

      Operation that performs completion operation on the current word.
      See Also:
        Constant Field Values

    - #### EXIT

          static final short EXIT

      Operation that exits the command prompt.
      See Also:
        Constant Field Values

    - #### PASTE

          static final short PASTE

      Operation that pastes the contents of the clipboard into the line
      See Also:
        Constant Field Values

    - #### START_OF_HISTORY

          static final short START_OF_HISTORY

      Operation that moves the current History to the beginning.
      See Also:
        Constant Field Values

    - #### END_OF_HISTORY

          static final short END_OF_HISTORY

      Operation that moves the current History to the end.
      See Also:
        Constant Field Values

    - #### CLEAR_LINE

          static final short CLEAR_LINE

      Operation that clears whatever text is on the current line.
      See Also:
        Constant Field Values

    - #### ABORT

          static final short ABORT

      Operation that aborts the current command (like searching)
      See Also:
        Constant Field Values